<?php
/**
 * Custom Functions.
 *
 * @package Air Ticket Booking
 */

if( !function_exists( 'air_ticket_booking_fonts_url' ) ) :

    //Google Fonts URL
    function air_ticket_booking_fonts_url(){

        $air_ticket_booking_font_families = array(
            'Montserrat:ital,wght@0,100..900;1,100..900', //   font-family: "Montserrat", sans-serif;
            'Quicksand:wght@300..700', //   font-family: "Quicksand", sans-serif;
        );

        $air_ticket_booking_fonts_url = add_query_arg( array(
            'family' => implode( '&family=', $air_ticket_booking_font_families ),
            'display' => 'swap',
        ), 'https://fonts.googleapis.com/css2' );

        return esc_url_raw($air_ticket_booking_fonts_url);
    }

endif;

if ( ! function_exists( 'air_ticket_booking_sub_menu_toggle_button' ) ) :

    function air_ticket_booking_sub_menu_toggle_button( $air_ticket_booking_args, $air_ticket_booking_item, $depth ) {

        // Add sub menu toggles to the main menu with toggles
        if ( $air_ticket_booking_args->theme_location == 'air-ticket-booking-primary-menu' && isset( $air_ticket_booking_args->show_toggles ) ) {
            
            // Wrap the menu item link contents in a div, used for positioning
            $air_ticket_booking_args->before = '<div class="submenu-wrapper">';
            $air_ticket_booking_args->after  = '';

            // Add a toggle to items with children
            if ( in_array( 'menu-item-has-children', $air_ticket_booking_item->classes ) ) {

                $toggle_target_string = '.menu-item.menu-item-' . $air_ticket_booking_item->ID . ' > .sub-menu';

                // Add the sub menu toggle
                $air_ticket_booking_args->after .= '<button type="button" class="theme-aria-button submenu-toggle" data-toggle-target="' . $toggle_target_string . '" data-toggle-type="slidetoggle" data-toggle-duration="250" aria-expanded="false"><span class="btn__content" tabindex="-1"><span class="screen-reader-text">' . esc_html__( 'Show sub menu', 'air-ticket-booking' ) . '</span>' . air_ticket_booking_get_theme_svg( 'chevron-down' ) . '</span></button>';

            }

            // Close the wrapper
            $air_ticket_booking_args->after .= '</div><!-- .submenu-wrapper -->';
            // Add sub menu icons to the main menu without toggles (the fallback menu)

        }elseif( $air_ticket_booking_args->theme_location == 'air-ticket-booking-primary-menu' ) {

            if ( in_array( 'menu-item-has-children', $air_ticket_booking_item->classes ) ) {

                $air_ticket_booking_args->before = '<div class="link-icon-wrapper">';
                $air_ticket_booking_args->after  = air_ticket_booking_get_theme_svg( 'chevron-down' ) . '</div>';

            } else {

                $air_ticket_booking_args->before = '';
                $air_ticket_booking_args->after  = '';

            }

        }

        return $air_ticket_booking_args;

    }

endif;

add_filter( 'nav_menu_item_args', 'air_ticket_booking_sub_menu_toggle_button', 10, 3 );

if ( ! function_exists( 'air_ticket_booking_the_theme_svg' ) ):
    
    function air_ticket_booking_the_theme_svg( $air_ticket_booking_svg_name, $air_ticket_booking_return = false ) {

        if( $air_ticket_booking_return ){

            return air_ticket_booking_get_theme_svg( $air_ticket_booking_svg_name ); //phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- Escaped in air_ticket_booking_get_theme_svg();.

        }else{

            echo air_ticket_booking_get_theme_svg( $air_ticket_booking_svg_name ); //phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- Escaped in air_ticket_booking_get_theme_svg();.

        }
    }

endif;

if ( ! function_exists( 'air_ticket_booking_get_theme_svg' ) ):

    function air_ticket_booking_get_theme_svg( $air_ticket_booking_svg_name ) {

        // Make sure that only our allowed tags and attributes are included.
        $air_ticket_booking_svg = wp_kses(
            air_ticket_booking_SVG_Icons::get_svg( $air_ticket_booking_svg_name ),
            array(
                'svg'     => array(
                    'class'       => true,
                    'xmlns'       => true,
                    'width'       => true,
                    'height'      => true,
                    'viewbox'     => true,
                    'aria-hidden' => true,
                    'role'        => true,
                    'focusable'   => true,
                ),
                'path'    => array(
                    'fill'      => true,
                    'fill-rule' => true,
                    'd'         => true,
                    'transform' => true,
                ),
                'polygon' => array(
                    'fill'      => true,
                    'fill-rule' => true,
                    'points'    => true,
                    'transform' => true,
                    'focusable' => true,
                ),
                'polyline' => array(
                    'fill'      => true,
                    'points'    => true,
                ),
                'line' => array(
                    'fill'      => true,
                    'x1'      => true,
                    'x2' => true,
                    'y1'    => true,
                    'y2' => true,
                ),
            )
        );
        if ( ! $air_ticket_booking_svg ) {
            return false;
        }
        return $air_ticket_booking_svg;

    }

endif;

if( !function_exists( 'air_ticket_booking_post_category_list' ) ) :

    // Post Category List.
    function air_ticket_booking_post_category_list( $air_ticket_booking_select_cat = true ){

        $air_ticket_booking_post_cat_lists = get_categories(
            array(
                'hide_empty' => '0',
                'exclude' => '1',
            )
        );

        $air_ticket_booking_post_cat_cat_array = array();
        if( $air_ticket_booking_select_cat ){

            $air_ticket_booking_post_cat_cat_array[''] = esc_html__( '-- Select Category --','air-ticket-booking' );

        }

        foreach ( $air_ticket_booking_post_cat_lists as $air_ticket_booking_post_cat_list ) {

            $air_ticket_booking_post_cat_cat_array[$air_ticket_booking_post_cat_list->slug] = $air_ticket_booking_post_cat_list->name;

        }

        return $air_ticket_booking_post_cat_cat_array;
    }

endif;

if( !function_exists('air_ticket_booking_single_post_navigation') ):

    function air_ticket_booking_single_post_navigation(){

        $air_ticket_booking_default = air_ticket_booking_get_default_theme_options();
        $air_ticket_booking_twp_navigation_type = esc_attr( get_post_meta( get_the_ID(), 'twp_disable_ajax_load_next_post', true ) );
        $air_ticket_booking_current_id = '';
        $article_wrap_class = '';
        global $post;
        $air_ticket_booking_current_id = $post->ID;
        if( $air_ticket_booking_twp_navigation_type == '' || $air_ticket_booking_twp_navigation_type == 'global-layout' ){
            $air_ticket_booking_twp_navigation_type = get_theme_mod('twp_navigation_type', $air_ticket_booking_default['twp_navigation_type']);
        }

        if( $air_ticket_booking_twp_navigation_type != 'no-navigation' && 'post' === get_post_type() ){

            if( $air_ticket_booking_twp_navigation_type == 'theme-normal-navigation' ){ ?>

                <div class="navigation-wrapper">
                    <?php
                    // Previous/next post navigation.
                    the_post_navigation(array(
                        'prev_text' => '<span class="arrow" aria-hidden="true">' . air_ticket_booking_the_theme_svg('arrow-left',$air_ticket_booking_return = true ) . '</span><span class="screen-reader-text">' . esc_html__('Previous post:', 'air-ticket-booking') . '</span><span class="post-title">%title</span>',
                        'next_text' => '<span class="arrow" aria-hidden="true">' . air_ticket_booking_the_theme_svg('arrow-right',$air_ticket_booking_return = true ) . '</span><span class="screen-reader-text">' . esc_html__('Next post:', 'air-ticket-booking') . '</span><span class="post-title">%title</span>',
                    )); ?>
                </div>
                <?php

            }else{

                $air_ticket_booking_next_post = get_next_post();
                if( isset( $air_ticket_booking_next_post->ID ) ){

                    $air_ticket_booking_next_post_id = $air_ticket_booking_next_post->ID;
                    echo '<div loop-count="1" next-post="' . absint( $air_ticket_booking_next_post_id ) . '" class="twp-single-infinity"></div>';

                }
            }

        }

    }

endif;

add_action( 'air_ticket_booking_navigation_action','air_ticket_booking_single_post_navigation',30 );

if( !function_exists('air_ticket_booking_content_offcanvas') ):

    // Offcanvas Contents
    function air_ticket_booking_content_offcanvas(){ ?>

        <div id="offcanvas-menu">
            <div class="offcanvas-wraper">
                <div class="close-offcanvas-menu">
                    <div class="offcanvas-close">
                        <a href="javascript:void(0)" class="skip-link-menu-start"></a>
                        <button type="button" class="button-offcanvas-close">
                            <span class="offcanvas-close-label">
                                <?php echo esc_html__('Close', 'air-ticket-booking'); ?>
                            </span>
                        </button>
                    </div>
                </div>
                <div id="primary-nav-offcanvas" class="offcanvas-item offcanvas-main-navigation">
                    <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'air-ticket-booking'); ?>" role="navigation">
                        <ul class="primary-menu theme-menu">
                            <?php
                            if (has_nav_menu('air-ticket-booking-primary-menu')) {
                                wp_nav_menu(
                                    array(
                                        'container' => '',
                                        'items_wrap' => '%3$s',
                                        'theme_location' => 'air-ticket-booking-primary-menu',
                                        'show_toggles' => true,
                                    )
                                );
                            }else{

                                wp_list_pages(
                                    array(
                                        'match_menu_classes' => true,
                                        'show_sub_menu_icons' => true,
                                        'title_li' => false,
                                        'show_toggles' => true,
                                        'walker' => new Air_Ticket_Booking_Walker_Page(),
                                    )
                                );
                            }
                            ?>
                        </ul>
                    </nav><!-- .primary-menu-wrapper -->
                </div>
                <a href="javascript:void(0)" class="skip-link-menu-end"></a>
            </div>
        </div>

    <?php
    }

endif;

add_action( 'air_ticket_booking_before_footer_content_action','air_ticket_booking_content_offcanvas',30 );

if( !function_exists('air_ticket_booking_footer_content_widget') ):

    function air_ticket_booking_footer_content_widget(){
        
        $air_ticket_booking_default = air_ticket_booking_get_default_theme_options();
        
        $air_ticket_booking_footer_column_layout = absint(get_theme_mod('air_ticket_booking_footer_column_layout', $air_ticket_booking_default['air_ticket_booking_footer_column_layout']));
        $air_ticket_booking_footer_sidebar_class = 12;
        
        if($air_ticket_booking_footer_column_layout == 2) {
            $air_ticket_booking_footer_sidebar_class = 6;
        }
        
        if($air_ticket_booking_footer_column_layout == 3) {
            $air_ticket_booking_footer_sidebar_class = 4;
        }
        ?>
        
        <?php if ( get_theme_mod('air_ticket_booking_display_footer', true) == true ) : ?>
            <div class="footer-widgetarea">
                <div class="wrapper">
                    <div class="column-row">
                    
                        <?php for ($i = 0; $i < $air_ticket_booking_footer_column_layout; $i++) : ?>
                            
                            <div class="column <?php echo 'column-' . absint($air_ticket_booking_footer_sidebar_class); ?> column-sm-12">
                                
                                <?php 
                                // If no widgets are assigned, display default widgets
                                if ( ! is_active_sidebar( 'air-ticket-booking-footer-widget-' . $i ) ) : 

                                    if ($i === 0) : ?>
                                        <div id="media_image-3" class="widget widget_media_image">
                                            <img src="<?php echo esc_url(get_template_directory_uri() . '/assets/images/logo.png'); ?>" alt="<?php echo esc_attr__( 'Footer Image', 'air-ticket-booking' ); ?>" style="max-width: 100%; height: auto;">
                                        </div>
                                        <div id="text-3" class="widget widget_text">
                                            <div class="textwidget">
                                                <p class="widget_text">
                                                    <?php esc_html_e('The Air Ticket Booking Theme is designed for users who want a focused, visually appealing, and conversion-driven website without unnecessary complexity. Ideal for startups, product launches, digital services, and promotional campaigns, this theme helps you present your message clearly while keeping visitors engaged from the first scroll.', 'air-ticket-booking'); ?>
                                                </p>
                                            </div>
                                        </div>

                                    <?php elseif ($i === 1) : ?>
                                        <div id="pages-2" class="widget widget_pages">
                                            <h2 class="widget-title"><?php esc_html_e('Calendar', 'air-ticket-booking'); ?></h2>
                                            <?php get_calendar(); ?>
                                        </div>

                                    <?php elseif ($i === 2) : ?>
                                        <div id="search-2" class="widget widget_search">
                                            <h2 class="widget-title"><?php esc_html_e('Enter Keywords Here', 'air-ticket-booking'); ?></h2>
                                            <?php get_search_form(); ?>
                                        </div>
                                    <?php endif; 
                                    
                                else :
                                    // Display dynamic sidebar widget if assigned
                                    dynamic_sidebar('air-ticket-booking-footer-widget-' . $i);
                                endif;
                                ?>
                                
                            </div>
                            
                        <?php endfor; ?>

                    </div>
                </div>
            </div>
        <?php endif; ?> 

    <?php
    }

endif;

add_action( 'air_ticket_booking_footer_content_action', 'air_ticket_booking_footer_content_widget', 10 );

if( !function_exists('air_ticket_booking_footer_content_info') ):

    /**
     * Footer Copyright Area
    **/
    function air_ticket_booking_footer_content_info(){

        $air_ticket_booking_default = air_ticket_booking_get_default_theme_options(); ?>
        <div class="site-info">
            <div class="wrapper">
                <div class="column-row">

                    <div class="column column-9">
                        <div class="footer-credits">

                            <div class="footer-copyright">

                                <?php
                                $air_ticket_booking_footer_copyright_text = wp_kses_post( get_theme_mod( 'air_ticket_booking_footer_copyright_text', $air_ticket_booking_default['air_ticket_booking_footer_copyright_text'] ) );
                                    echo esc_html( $air_ticket_booking_footer_copyright_text );
                                    echo '<br>';

                                    echo esc_html__('Theme: ', 'air-ticket-booking') . '<a href="' . esc_url('https://www.omegathemes.com/products/air-ticket-booking') . '" title="' . esc_attr__('Air Ticket Booking ', 'air-ticket-booking') . '" target="_blank"><span>' . esc_html__('Air Ticket Booking  ', 'air-ticket-booking') . '</span></a>' . esc_html__(' By ', 'air-ticket-booking') . '  <span>' . esc_html__('OMEGA ', 'air-ticket-booking') . '</span>';
                                    echo esc_html__('Powered by ', 'air-ticket-booking') . '<a href="' . esc_url('https://wordpress.org') . '" title="' . esc_attr__('WordPress', 'air-ticket-booking') . '" target="_blank"><span>' . esc_html__('WordPress.', 'air-ticket-booking') . '</span></a>';
                                 ?>
                            </div>
                        </div>
                    </div>

                    <div class="column column-3 align-text-right">
                        <a class="to-the-top" href="#site-header">
                            <span class="to-the-top-long">
                                <?php if ( get_theme_mod('air_ticket_booking_enable_to_the_top', true) == true ) : ?>
                                    <?php
                                    $air_ticket_booking_to_the_top_text = get_theme_mod( 'air_ticket_booking_to_the_top_text', __( 'To the Top', 'air-ticket-booking' ) );
                                    printf( 
                                        wp_kses( 
                                            /* translators: %s is the arrow icon markup */
                                            '%s %s', 
                                            array( 'span' => array( 'class' => array(), 'aria-hidden' => array() ) ) 
                                        ), 
                                        esc_html( $air_ticket_booking_to_the_top_text ),
                                        '<span class="arrow" aria-hidden="true">&uarr;</span>' 
                                    );
                                    ?>
                                <?php endif; ?>
                            </span>
                        </a>

                    </div>
                </div>
            </div>
        </div>

    <?php
    }

endif;

add_action( 'air_ticket_booking_footer_content_action','air_ticket_booking_footer_content_info',20 );

if (!function_exists('air_ticket_booking_post_format_icon')):

    // Post Format Icon.
    function air_ticket_booking_post_format_icon() {

        $air_ticket_booking_format = get_post_format(get_the_ID()) ?: 'standard';
        $air_ticket_booking_icon = '';
        $air_ticket_booking_title = '';
        if( $air_ticket_booking_format == 'video' ){
            $air_ticket_booking_icon = air_ticket_booking_get_theme_svg( 'video' );
            $air_ticket_booking_title = esc_html__('Video','air-ticket-booking');
        }elseif( $air_ticket_booking_format == 'audio' ){
            $air_ticket_booking_icon = air_ticket_booking_get_theme_svg( 'audio' );
            $air_ticket_booking_title = esc_html__('Audio','air-ticket-booking');
        }elseif( $air_ticket_booking_format == 'gallery' ){
            $air_ticket_booking_icon = air_ticket_booking_get_theme_svg( 'gallery' );
            $air_ticket_booking_title = esc_html__('Gallery','air-ticket-booking');
        }elseif( $air_ticket_booking_format == 'quote' ){
            $air_ticket_booking_icon = air_ticket_booking_get_theme_svg( 'quote' );
            $air_ticket_booking_title = esc_html__('Quote','air-ticket-booking');
        }elseif( $air_ticket_booking_format == 'image' ){
            $air_ticket_booking_icon = air_ticket_booking_get_theme_svg( 'image' );
            $air_ticket_booking_title = esc_html__('Image','air-ticket-booking');
        } elseif( $air_ticket_booking_format == 'link' ){
            $air_ticket_booking_icon = air_ticket_booking_get_theme_svg( 'link' );
            $air_ticket_booking_title = esc_html__('Link','air-ticket-booking');
        } elseif( $air_ticket_booking_format == 'status' ){
            $air_ticket_booking_icon = air_ticket_booking_get_theme_svg( 'status' );
            $air_ticket_booking_title = esc_html__('Status','air-ticket-booking');
        } elseif( $air_ticket_booking_format == 'aside' ){
            $air_ticket_booking_icon = air_ticket_booking_get_theme_svg( 'aside' );
            $air_ticket_booking_title = esc_html__('Aside','air-ticket-booking');
        } elseif( $air_ticket_booking_format == 'chat' ){
            $air_ticket_booking_icon = air_ticket_booking_get_theme_svg( 'chat' );
            $air_ticket_booking_title = esc_html__('Chat','air-ticket-booking');
        }
        
        if (!empty($air_ticket_booking_icon)) { ?>
            <div class="theme-post-format">
                <span class="post-format-icom"><?php echo air_ticket_booking_svg_escape($air_ticket_booking_icon); ?></span>
                <?php if( $air_ticket_booking_title ){ echo '<span class="post-format-label">'.esc_html( $air_ticket_booking_title ).'</span>'; } ?>
            </div>
        <?php }
    }

endif;

if ( ! function_exists( 'air_ticket_booking_svg_escape' ) ):

    /**
     * Get information about the SVG icon.
     *
     * @param string $air_ticket_booking_svg_name The name of the icon.
     * @param string $group The group the icon belongs to.
     * @param string $color Color code.
     */
    function air_ticket_booking_svg_escape( $air_ticket_booking_input ) {

        // Make sure that only our allowed tags and attributes are included.
        $air_ticket_booking_svg = wp_kses(
            $air_ticket_booking_input,
            array(
                'svg'     => array(
                    'class'       => true,
                    'xmlns'       => true,
                    'width'       => true,
                    'height'      => true,
                    'viewbox'     => true,
                    'aria-hidden' => true,
                    'role'        => true,
                    'focusable'   => true,
                ),
                'path'    => array(
                    'fill'      => true,
                    'fill-rule' => true,
                    'd'         => true,
                    'transform' => true,
                ),
                'polygon' => array(
                    'fill'      => true,
                    'fill-rule' => true,
                    'points'    => true,
                    'transform' => true,
                    'focusable' => true,
                ),
            )
        );

        if ( ! $air_ticket_booking_svg ) {
            return false;
        }

        return $air_ticket_booking_svg;

    }

endif;

if( !function_exists( 'air_ticket_booking_sanitize_sidebar_option_meta' ) ) :

    // Sidebar Option Sanitize.
    function air_ticket_booking_sanitize_sidebar_option_meta( $air_ticket_booking_input ){

        $air_ticket_booking_metabox_options = array( 'global-sidebar','left-sidebar','right-sidebar','no-sidebar' );
        if( in_array( $air_ticket_booking_input,$air_ticket_booking_metabox_options ) ){

            return $air_ticket_booking_input;

        }else{

            return '';

        }
    }

endif;

if( !function_exists( 'air_ticket_booking_sanitize_pagination_meta' ) ) :

    // Sidebar Option Sanitize.
    function air_ticket_booking_sanitize_pagination_meta( $air_ticket_booking_input ){

        $air_ticket_booking_metabox_options = array( 'Center','Right','Left');
        if( in_array( $air_ticket_booking_input,$air_ticket_booking_metabox_options ) ){

            return $air_ticket_booking_input;

        }else{

            return '';

        }
    }

endif;

if( !function_exists( 'air_ticket_booking_sanitize_menu_transform' ) ) :

    // Sidebar Option Sanitize.
    function air_ticket_booking_sanitize_menu_transform( $air_ticket_booking_input ){

        $air_ticket_booking_metabox_options = array( 'capitalize','uppercase','lowercase');
        if( in_array( $air_ticket_booking_input,$air_ticket_booking_metabox_options ) ){

            return $air_ticket_booking_input;

        }else{

            return '';

        }
    }

endif;

if( !function_exists( 'air_ticket_booking_sanitize_page_content_alignment' ) ) :

    // Sidebar Option Sanitize.
    function air_ticket_booking_sanitize_page_content_alignment( $air_ticket_booking_input ){

        $air_ticket_booking_metabox_options = array( 'left','center','right');
        if( in_array( $air_ticket_booking_input,$air_ticket_booking_metabox_options ) ){

            return $air_ticket_booking_input;

        }else{

            return '';

        }
    }

endif;

if( !function_exists( 'air_ticket_booking_sanitize_footer_widget_title_alignment' ) ) :

    // Footer Option Sanitize.
    function air_ticket_booking_sanitize_footer_widget_title_alignment( $air_ticket_booking_input ){

        $air_ticket_booking_metabox_options = array( 'left','center','right');
        if( in_array( $air_ticket_booking_input,$air_ticket_booking_metabox_options ) ){

            return $air_ticket_booking_input;

        }else{

            return '';

        }
    }

endif;

if( !function_exists( 'air_ticket_booking_sanitize_pagination_type' ) ) :

    /**
     * Sanitize the pagination type setting.
     *
     * @param string $air_ticket_booking_input The input value from the Customizer.
     * @return string The sanitized value.
     */
    function air_ticket_booking_sanitize_pagination_type( $air_ticket_booking_input ) {
        // Define valid options for the pagination type.
        $air_ticket_booking_valid_options = array( 'numeric', 'newer_older' ); // Update valid options to include 'newer_older'

        // If the input is one of the valid options, return it. Otherwise, return the default option ('numeric').
        if ( in_array( $air_ticket_booking_input, $air_ticket_booking_valid_options, true ) ) {
            return $air_ticket_booking_input;
        } else {
            // Return 'numeric' as the fallback if the input is invalid.
            return 'numeric';
        }
    }

endif;


// Sanitize the enable/disable setting for pagination
if( !function_exists('air_ticket_booking_sanitize_enable_pagination') ) :
    function air_ticket_booking_sanitize_enable_pagination( $air_ticket_booking_input ) {
        return (bool) $air_ticket_booking_input;
    }
endif;

if( !function_exists( 'air_ticket_booking_sanitize_copyright_alignment_meta' ) ) :

    // Sidebar Option Sanitize.
    function air_ticket_booking_sanitize_copyright_alignment_meta( $air_ticket_booking_input ){

        $air_ticket_booking_metabox_options = array( 'Default','Reverse','Center');
        if( in_array( $air_ticket_booking_input,$air_ticket_booking_metabox_options ) ){

            return $air_ticket_booking_input;

        }else{

            return '';

        }
    }

endif;

/**
 * Sidebar Layout Function
 */
function air_ticket_booking_get_final_sidebar_layout() {
	$air_ticket_booking_defaults       = air_ticket_booking_get_default_theme_options();
	$air_ticket_booking_global_layout  = get_theme_mod('air_ticket_booking_global_sidebar_layout', $air_ticket_booking_defaults['air_ticket_booking_global_sidebar_layout']);
	$air_ticket_booking_page_layout    = get_theme_mod('air_ticket_booking_page_sidebar_layout', $air_ticket_booking_global_layout);
	$air_ticket_booking_post_layout    = get_theme_mod('air_ticket_booking_post_sidebar_layout', $air_ticket_booking_global_layout);
	$air_ticket_booking_meta_layout    = get_post_meta(get_the_ID(), 'air_ticket_booking_post_sidebar_option', true);

	if (!empty($air_ticket_booking_meta_layout) && $air_ticket_booking_meta_layout !== 'default') {
		return $air_ticket_booking_meta_layout;
	}
	if (is_page() || (function_exists('is_shop') && is_shop())) {
		return $air_ticket_booking_page_layout;
	}
	if (is_single()) {
		return $air_ticket_booking_post_layout;
	}
	return $air_ticket_booking_global_layout;
}